pcl::visualization::Figure2D Struct Reference
Module visualization

Abstract class for storing figure information. More...

`#include <pcl/visualization/pcl_painter2D.h>`

Inheritance diagram for pcl::visualization::Figure2D:

## Public Member Functions

| Figure2D (std::vector< float > info, vtkPen *p, vtkBrush *b, vtkTransform2D *t)
| Figure2D (vtkPen *p, vtkBrush *b, vtkTransform2D *t)
void | applyInternals (vtkContext2D *painter) const
virtual void | draw (vtkContext2D *)

## Public Attributes

std::vector< float > | info_
vtkPen * | pen_
vtkBrush * | brush_
vtkTransform2D * | transform_

## Detailed Description

Abstract class for storing figure information.

All the derived class uses the same method draw() to invoke different drawing function of vtkContext2D

Author
  Kripasindhu Sarkar

Definition at line 69 of file pcl_painter2D.h.

## Constructor & Destructor Documentation

## Figure2D() [1/2]

pcl::visualization::Figure2D::Figure2D | ( | std::vector< float > | info,
|  | vtkPen * | p,
|  | vtkBrush * | b,
|  | vtkTransform2D * | t
| ) |  |

inline

Definition at line 76 of file pcl_painter2D.h.

## Figure2D() [2/2]

pcl::visualization::Figure2D::Figure2D | ( | vtkPen * | p,
|  | vtkBrush * | b,
|  | vtkTransform2D * | t
| ) |  |

inline

Definition at line 88 of file pcl_painter2D.h.

## Member Function Documentation

## applyInternals()

void pcl::visualization::Figure2D::applyInternals | ( | vtkContext2D * | painter | ) | const

inline

Definition at line 99 of file pcl_painter2D.h.

References brush_, pen_, and transform_.

Referenced by pcl::visualization::FPolyLine2D::draw(), pcl::visualization::FPoints2D::draw(), pcl::visualization::FQuad2D::draw(), pcl::visualization::FPolygon2D::draw(), and pcl::visualization::FEllipticArc2D::draw().

## draw()

virtual void pcl::visualization::Figure2D::draw | ( | vtkContext2D * |  | ) |

inline virtual

Reimplemented in pcl::visualization::FEllipticArc2D, pcl::visualization::FPolygon2D, pcl::visualization::FQuad2D, pcl::visualization::FPoints2D, and pcl::visualization::FPolyLine2D.

Definition at line 106 of file pcl_painter2D.h.

## Member Data Documentation

## brush_

vtkBrush* pcl::visualization::Figure2D::brush_

Definition at line 73 of file pcl_painter2D.h.

Referenced by applyInternals().

## info_

std::vector<float> pcl::visualization::Figure2D::info_

Definition at line 71 of file pcl_painter2D.h.

Referenced by pcl::visualization::FPolyLine2D::draw(), pcl::visualization::FPoints2D::draw(), pcl::visualization::FQuad2D::draw(), pcl::visualization::FPolygon2D::draw(), pcl::visualization::FEllipticArc2D::draw(), and pcl::visualization::FEllipticArc2D::FEllipticArc2D().

## pen_

vtkPen* pcl::visualization::Figure2D::pen_

Definition at line 72 of file pcl_painter2D.h.

Referenced by applyInternals().

## transform_

vtkTransform2D* pcl::visualization::Figure2D::transform_

Definition at line 74 of file pcl_painter2D.h.

Referenced by applyInternals().

The documentation for this struct was generated from the following file:

- pcl/visualization/pcl_painter2D.h